<template>

<v-row justify="center">
    <v-dialog 
        v-bind:value="value"
        persistent
        max-width="400"
    >
        <v-card>
            <v-card-title>
                <span class="headline">Game Over!</span>
            </v-card-title>
            <v-card-text>
                <v-data-table 
                    dense 
                    :headers="headers" 
                    :items="items" 
                    item-key="id"
                    class="elevation-1"
                    hide-default-footer
                >
                    <template v-slot:item.name="{ item }">
                        <div :style="getColor(item.id)">{{item.name}}</div>
                    </template>
                </v-data-table>
            </v-card-text>
            <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn color="blue darken-1" text @click="$emit('close')">Close</v-btn>
            </v-card-actions>
        </v-card>
    </v-dialog>
</v-row>

</template>

<script>

export default {
    name: 'WinGameOver',
    props:{
        "value":{
            type: Boolean,
            required: true
        },
        "items":{
            type: Array,
            required: true
        }
    },
    data: () => ({
        // p:0,
        // value:0
        headers: [
          {
            text: 'Name',
            align: 'start',
            value: 'name',
          },
          { text: 'Damege Done', value: 'damage_done' },
          { text: 'Damage Get', value: 'damage_take' },
          { text: 'Kills', value: 'num_kills' },
        ],
        // items:[
        //     {
        //         id:1,
        //         name:'Vasya',
        //         damage_done:50,
        //         damage_get:8,
        //         kills:1
        //     },
        //     {
        //         id:2,
        //         name:'Givi',
        //         damage_done:8,
        //         damage_get:12,
        //         kills:0
        //     },
        //     {
        //         id:3,
        //         name:'Garry',
        //         damage_done:22,
        //         damage_get:6,
        //         kills:2
        //     },
        //     {
        //         id:4,
        //         name:'Petya',
        //         damage_done:40,
        //         damage_get:8,
        //         kills:1
        //     },
        //     {
        //         id:5,
        //         name:'Oggy',
        //         damage_done:8,
        //         damage_get:12,
        //         kills:0
        //     },
        //     {
        //         id:6,
        //         name:'Petr',
        //         damage_done:30,
        //         damage_get:9,
        //         kills:0
        //     },
        // ]
    }),
    computed:{
       
    },
    watch:{
        
    },
    methods:{
        getColor(id){
            //console.log('тут!!!');
            // if(id!=this.pl_id){
            //     return 'black';
            // }else{
            //     return '#a55e06';
            // }
            if(id!=this.$store.state.game.game.player.id){
                return {
                    color:'black'
                };
            }else{
                return {
                    color:'#a55e06'
                };
            }
        }
    }
};
</script>

<style scoped>
    
</style>